Subject: Re: PPC440GX ethernet oddities

From: Jeff Mock <[email-masked]>
Date: Mon, 27 Nov 2006 14:19:33 -0800

Eugene Surovegin wrote:
> On Mon, Nov 27, 2006 at 09:34:59AM -0800, Jeff Mock wrote:
>> # ./ethtool -S eth0
>> NIC statistics:
>>      rx_packets: 683430611
>>      rx_bytes: 45405076316
>>      tx_packets: 1331225622
>>      tx_bytes: 2005276384145
>>      rx_packets_csum: 683428670
>>      tx_packets_csum: 1331224150
>>      tx_undo: 0
>>      rx_dropped_stack: 80
>>      rx_dropped_oom: 0
>>      rx_dropped_error: 0
>>      [lots more 0's...]
>>
>> The number of checksum errors seems okay and doesn't really change when
>> I plug in the second network connection, but the ring buffer usage still
>> increases dramatically.
> 
> Stats look OK.  BTW, tx/rx_packets_csum is not a number of checksum 
> errors, that's a number of packets where driver used hw checksum 
> acceleration :).
> 

Ah, silly me.  Can you tell me where I can find the number of received
packets with bad ethernet checksums?  I'm still thinking that I might
have a little hardware problem that is increasing the bit error rate
when I use both ports, ultimately increasing my buffer utilization.

thanks,
jeff